commit:     d0ba0e33274628d86bfa3ace5efc31c0821487cd
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 29 09:09:25 2019 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Tue Oct 29 09:09:25 2019 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=d0ba0e33

sci-chemistry/MotionCor2: Add motioncor2

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 sci-chemistry/MotionCor2/MotionCor2-1.2.6.ebuild | 49 ++++++++++++++++++++++++
 sci-chemistry/MotionCor2/metadata.xml            | 16 ++++++++
 2 files changed, 65 insertions(+)

diff --git a/sci-chemistry/MotionCor2/MotionCor2-1.2.6.ebuild 
b/sci-chemistry/MotionCor2/MotionCor2-1.2.6.ebuild
new file mode 100644
index 000000000..8fae639a3
--- /dev/null
+++ b/sci-chemistry/MotionCor2/MotionCor2-1.2.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Correction of electron beam-induced sample motion"
+HOMEPAGE="https://emcore.ucsf.edu/ucsf-motioncor2";
+SRC_URI="${PN}_${PV}.zip"
+
+LICENSE="UCSF-Motioncor2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cuda92 +cuda101"
+
+DEPEND="
+       cuda92? ( =dev-util/nvidia-cuda-toolkit-9.2* )
+       cuda101? ( =dev-util/nvidia-cuda-toolkit-10.1* )
+       media-libs/tiff
+       app-arch/xz-utils
+       || ( media-libs/jpeg:62 media-libs/libjpeg-turbo )
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+REQUIRED_USE="^^ ( cuda92 cuda101 )"
+
+RESTRICT="fetch"
+VERSION="MotionCor2 v1.2.6 (05-22.2019, Linux) now Cuda v8.0,9.2,10.1"
+
+S="${WORKDIR}"
+
+pkg_nofetch() {
+               echo
+               elog "Please download ${PN}_${PV}.zip from"
+               elog "${HOMEPAGE}."
+               elog "Be sure to select the version ${VERSION} tarball!!"
+               elog "Then move the tarball to"
+               elog "${DISTDIR}/${P}.tar.gz"
+               echo
+}
+
+src_install() {
+       dodoc MotionCor2-UserManual-09-13-2018.pdf
+       if use cuda92; then
+               newbin MotionCor2_1.2.6-Cuda92 ${PN}
+       elif use cuda101; then
+               newbin MotionCor2_1.2.6-Cuda101 ${PN}
+       fi
+}

diff --git a/sci-chemistry/MotionCor2/metadata.xml 
b/sci-chemistry/MotionCor2/metadata.xml
new file mode 100644
index 000000000..75c4f5d9f
--- /dev/null
+++ b/sci-chemistry/MotionCor2/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Chemistry Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Alexey Shvetsov</name>
+       </maintainer>
+       <use>
+               <flag name="cuda92">Install cuda-9.2 version</flag>
+               <flag name="cuda101">Install cuda-10.1 version</flag>
+       </use>
+</pkgmetadata>

Reply via email to